# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawPredMode Class Reference

Class to carry out overlay of prediction mode.

`#include <pred_mode.h>`

Inheritance diagram for dirac_instr::DrawPredMode:

List of all members.

## Public Member Functions

- DrawPredMode (Picture &, DrawPictureMotionParams &, const TwoDArray< PredMode > &)
    Constructor.
- ~DrawPredMode ()
    Destructor.
- void DrawBlock (int, int)
    Colours a motion vector block according to prediction.
- void DrawLegend ()
    Displays legend.

## Private Attributes

- const TwoDArray< PredMode > & m_mode

## Constructor & Destructor Documentation

dirac_instr::DrawPredMode::DrawPredMode | ( | Picture & | ,
|  | DrawPictureMotionParams & | ,
|  | const TwoDArray< PredMode > & |  |
| ) |  |  |

dirac_instr::DrawPredMode::~DrawPredMode | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawPredMode::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawPredMode::DrawLegend | ( |  | ) | `[virtual]`

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

const TwoDArray<PredMode>& dirac_instr::DrawPredMode::m_mode`[private]`

The documentation for this class was generated from the following file:

- pred_mode.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.